UpdateWorkerDetails¶
- class oci.apm_synthetics.models.UpdateWorkerDetails(**kwargs)¶
Bases:
objectDetails of the request body used to update an On-premise VP worker.
Attributes:
A constant which can be used with the status property of a UpdateWorkerDetails.
A constant which can be used with the status property of a UpdateWorkerDetails.
Gets the configuration_details of this UpdateWorkerDetails.
Gets the defined_tags of this UpdateWorkerDetails.
Gets the freeform_tags of this UpdateWorkerDetails.
Gets the priority of this UpdateWorkerDetails.
Gets the status of this UpdateWorkerDetails.
Methods:
__init__(**kwargs)Initializes a new UpdateWorkerDetails object with values from keyword arguments.
- STATUS_DISABLED = 'DISABLED'¶
A constant which can be used with the status property of a UpdateWorkerDetails. This constant has a value of “DISABLED”
- STATUS_ENABLED = 'ENABLED'¶
A constant which can be used with the status property of a UpdateWorkerDetails. This constant has a value of “ENABLED”
- __init__(**kwargs)¶
Initializes a new UpdateWorkerDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
configuration_details (object) – The value to assign to the configuration_details property of this UpdateWorkerDetails.
status (str) – The value to assign to the status property of this UpdateWorkerDetails. Allowed values for this property are: “ENABLED”, “DISABLED”
priority (int) – The value to assign to the priority property of this UpdateWorkerDetails.
freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this UpdateWorkerDetails.
defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this UpdateWorkerDetails.
- property configuration_details¶
Gets the configuration_details of this UpdateWorkerDetails. Configuration details of the On-premise VP worker.
- Returns
The configuration_details of this UpdateWorkerDetails.
- Return type
object
- property defined_tags¶
Gets the defined_tags of this UpdateWorkerDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}}
- Returns
The defined_tags of this UpdateWorkerDetails.
- Return type
dict(str, dict(str, object))
- property freeform_tags¶
Gets the freeform_tags of this UpdateWorkerDetails. Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”}
- Returns
The freeform_tags of this UpdateWorkerDetails.
- Return type
dict(str, str)
- property priority¶
Gets the priority of this UpdateWorkerDetails. Priority of the On-premise VP worker to schedule monitors.
- Returns
The priority of this UpdateWorkerDetails.
- Return type
int
- property status¶
Gets the status of this UpdateWorkerDetails. Enables or disables the On-premise VP worker.
Allowed values for this property are: “ENABLED”, “DISABLED”
- Returns
The status of this UpdateWorkerDetails.
- Return type
str